Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class GeneralComparison20

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.expr.BinaryExpression
              net.sf.saxon.expr.GeneralComparison
                  net.sf.saxon.expr.GeneralComparison20

All Implemented Interfaces:
  Serializable, SourceLocator, LocationProvider, SaxonLocator, CallableExpression, ComparisonExpression, InstructionInfo, Locator

    public class GeneralComparison20

extends GeneralComparison

The class GeneralComparison20 specializes GeneralComparison for the case where the comparison is done with 2.0 semantics (i.e. with backwards compatibility off). It differs from the superclass in that it will never turn the expression into a GeneralComparison10, which could lead to non-terminating optimizations

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.GeneralComparison
`comparer, comparisonCardinality, MANY_TO_MANY, MANY_TO_ONE, needsRuntimeCheck, ONE_TO_ONE, singletonOperator`

Fields inherited from class net.sf.saxon.expr.BinaryExpression
`operand0, operand1, operator`

Fields inherited from class net.sf.saxon.expr.Expression
`EFFECTIVE_BOOLEAN_VALUE, EVALUATE_METHOD, EVENT_FEED_METHOD, ITEM_FEED_METHOD, ITERATE_METHOD, locationId, MAX_SEQUENCE_LENGTH, MAX_STRING_LENGTH, PROCESS_METHOD, PUSH_SELECTION, staticProperties, UNBOUNDED_LOWER, UNBOUNDED_UPPER, WATCH_METHOD`

Constructor Summary
`GeneralComparison20(Expression p0, int op, Expression p1)` Create a relational expression identifying the two operands and the operator

Method Summary
`Expression` | `copy()` Copy an expression.
`protected GeneralComparison` | `getInverseComparison()`

Methods inherited from class net.sf.saxon.expr.GeneralComparison
`call, compare, computeCardinality, convertsUntypedToOther, effectiveBooleanValue, evaluateItem, evaluateManyToMany, explainExtraAttributes, getAtomicComparer, getComparisonCardinality, getCorrespondingSingletonOperator, getExpressionName, getItemType, getSingletonOperator, needsRuntimeCheck, optimize, setAtomicComparer, setComparisonCardinality, setNeedsRuntimeCheck, simplify, typeCheck`

Methods inherited from class net.sf.saxon.expr.BinaryExpression
`computeSpecialProperties, displayOperator, equals, explain, getArguments, getOperands, getOperator, hashCode, isAssociative, isCommutative, isInverse, iterateSubExpressions, promote, replaceSubExpression, setFlattened, toString`

Methods inherited from class net.sf.saxon.expr.Expression
`addToPathMap, adoptChildExpression, checkForUpdatingSubexpressions, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, dynamicError, evaluateAsString, evaluatePendingUpdates, explain, getCardinality, getColumnNumber, getColumnNumber, getConstructType, getContainer, getDependencies, getEvaluationMethod, getExecutable, getHostLanguage, getImplementationMethod, getIntegerBounds, getIntrinsicDependencies, getLineNumber, getLineNumber, getLocationId, getLocationProvider, getObjectName, getProperties, getProperty, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, getSystemId, hasLoopingSubexpression, hasVariableBinding, implementsStaticTypeCheck, isSubtreeExpression, isUpdatingExpression, isVacuousExpression, iterate, iterateEvents, iterateSameFocusSubExpressions, markTailFunctionCalls, process, resetLocalStaticProperties, setContainer, setEvaluationMethod, setFiltered, setLocationId, staticTypeCheck, suppressValidation, typeError`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sf.saxon.expr.ComparisonExpression
`getOperands`

Methods inherited from interface net.sf.saxon.expr.CallableExpression
`getArguments`

Constructor Detail

### GeneralComparison20

    public GeneralComparison20(Expression p0,
                               int op,
                               Expression p1)

  Create a relational expression identifying the two operands and the operator

  Parameters:
    `p0` - the left-hand operand
    `op` - the operator, as a token returned by the Tokenizer (e.g. Token.LT)
    `p1` - the right-hand operand

Method Detail

### copy

    public Expression copy()

  Copy an expression. This makes a deep copy.

  Overrides:
    `copy` in class `GeneralComparison`
  Returns:
    the copy of the original expression

### getInverseComparison

    protected GeneralComparison getInverseComparison()

  Overrides:
    `getInverseComparison` in class `GeneralComparison`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.